Variants Nearest Genes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/nearest-genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/nearest-genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/nearest-genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"gene_type": "<string>",
"name": "<string>",
"source": "<string>",
"version": "<string>",
"source_url": "<string>",
"strand": "<string>",
"hgnc": "<string>",
"entrez": "<string>",
"collections": [
"<string>"
],
"study_sets": [
"<string>"
],
"synonyms": [
"<string>"
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Variants Nearest Genes
Retrieve a list of human genes if region is in a coding variant. Otherwise, it returns the nearest human genes on each side.
Example: region = chr1:1157520-1158189 (maximum length: 10kb).
Variants Nearest Genes
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/variants/nearest-genesimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/variants/nearest-genes"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/variants/nearest-genes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"_id": "<string>",
"chr": "<string>",
"start": 123,
"end": 123,
"gene_type": "<string>",
"name": "<string>",
"source": "<string>",
"version": "<string>",
"source_url": "<string>",
"strand": "<string>",
"hgnc": "<string>",
"entrez": "<string>",
"collections": [
"<string>"
],
"study_sets": [
"<string>"
],
"synonyms": [
"<string>"
]
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Response
Successful response